Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Sun, 3 Jul 2011 00:53:06 +0400
From: Solar Designer <solar@...nwall.com>
To: john-dev@...ts.openwall.com
Subject: Re: 1.7.8.Jumbo-1

Jim -

On Sat, Jul 02, 2011 at 03:51:19PM -0500, JimF wrote:
> I had problems with that patch. I was able to build, but link failed, on 
> one sparc box, and build and link worked on another, but the shared libs 
> did not have proper exports on another sparc box.  Now, it is VERY likely, 
> that these boxes were not setup properly.  However, I have no reason to ask 
> for oSSL to be updated properly, thus can not make that type of request on 
> these systems.  Thus, this keeps john from being usable there.

Understood, but then john-1.7.7-jumbo-6-jimfpatch-4.diff is not a
sufficient fix anyway, because
john-1.7.7-jumbo-6-auto_have_sha256-03.diff.gz, which I am applying,
re-introduces the problem for you.

I suggest that we go with the OPENSSL_VERSION_NUMBER approach, but
introduce a way to override that number.

How does this sound to you?

Alexander

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ